/*
 * Copyright 2010-2011 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.xml;

import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

import com.squeakysand.commons.lang.ToStringHelper;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JaxbHelper {

    private static final Logger LOG = LoggerFactory.getLogger(JaxbHelper.class);

    public static void marshallToFile(Object rootElement, File file) throws JAXBException {
        LOG.debug("marshalling {}, with class type {}, to file {}", new Object[] { ToStringHelper.toString(rootElement),
                ToStringHelper.toString(rootElement.getClass()), ToStringHelper.toString(file) });
        JAXBContext jc = JAXBContext.newInstance(rootElement.getClass());
        Marshaller marshaller = jc.createMarshaller();
        marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
        marshaller.marshal(rootElement, file);
    }
}
